Subject: wholesale jewelry web site

From: [email-masked] (Ray Elsey)
Date: 14 May 1995 22:36:34 GMT

http://www.teleport.com/~raylc/

How a ring is made
Huge free wax catalog for setting your stones
The "Four C's" about diamond grading, with allthe crap stipped away
Tradeshop techniques & tour of a twenty year manufacturing facility.
Interesting insights to the "real" difference between wholesale &
retail :)

Explore if you dare :)

Ray

      _\|/_   "Is the guy with the flame-thrower gone yet?"
      (o o)      
---oOO-(_)-OOo-----------------------------------------------------
 [email-masked]  * Associate Jewelers Incorporated  * Est. 1975
  Wholesale Jewelry MFG * Union Benchworkers * Professional Results
  http://www.teleport.com/~raylc/           "Fine Jewelry Web Site"
-------------------------------------------------------------------